Bug 177350 - x11-toolkits/py-qt: [PATCH] fix provided from DragonFly Ports
Summary: x11-toolkits/py-qt: [PATCH] fix provided from DragonFly Ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-24 18:00 UTC by John Marino
Modified: 2013-03-28 20:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-03-24 18:00:00 UTC
Somebody asked about fixing x11-toolkits/py-qt on the FreeBSD ports list.  I had fixed this a few days ago but I forgot to submit a PR on it.  See github link for fix from DragonFly (and NetBSD).

Fix: 

https://github.com/jrmarino/DeltaPorts/commit/7cf2d3f44950fa3929d9d1d9fb3d1fb9dc4edf8a
Comment 1 Edwin Groothuis freebsd_committer 2013-03-24 18:00:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2013-03-25 08:57:20 UTC
State Changed
From-To: open->feedback

It still doesn't builds with this patch: sip/qt/qimage.sip:535: error: 
'ANY' was not declared in this scope. Full build log here: 
http://people.freebsd.org/~rm/py27-qt-3.18.2_3%2c2.log . And would you 
please merge the patches with existing patches yourself next time? 
Thanks
Comment 3 John Marino 2013-03-25 16:26:17 UTC
 From that error log, I'd say there was a mistake applying the patch. 
There is no "ANY" definition in the compile line which the extra cxx 
flags are supposed to add.

Yes, this patch is to be applied after the existing patch is applied. 
 From that, you can of course regenerate a new single patch for configure.

I think there is a misunderstanding about the nature of this PR.  py-qt 
builds on DragonFly Ports because I patched it.  It came up on the mail 
list that somebody wanted it fixed on FreeBSD.  I had the solution and I 
spent a couple of minutes writing a PR to let FreeBSD Ports developers 
know that.

I never meant that these patches were a drop-in fix.  I didn't have the 
time to generate a patch and test in on FreeBSD.  I was leaving that up 
to the port maintainer.

In any case, I'd double check the work because applying this patch on 
top of the existing patches *does* fix it on DragonFly and NetBSD.  The 
error in the log looks like the error I saw before any patch was 
applied, so that's why I think suspect the patch in this PR wasn't 
accurately applied.
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2013-03-28 20:10:14 UTC
Responsible Changed
From-To: freebsd-python->rm

I will take it.
Comment 5 dfilter service freebsd_committer 2013-03-28 20:11:17 UTC
Author: rm
Date: Thu Mar 28 20:11:08 2013
New Revision: 315499
URL: http://svnweb.freebsd.org/changeset/ports/315499

Log:
  - unbreak the build
  - trim Makefile header, while here
  
  PR:		177350
  Submitted by:	John Marino <draco@marino.st>
  Obtained from:	DragonFly BSD

Modified:
  head/x11-toolkits/py-qt/Makefile
  head/x11-toolkits/py-qt/files/patch-configure.py

Modified: head/x11-toolkits/py-qt/Makefile
==============================================================================
--- head/x11-toolkits/py-qt/Makefile	Thu Mar 28 20:08:15 2013	(r315498)
+++ head/x11-toolkits/py-qt/Makefile	Thu Mar 28 20:11:08 2013	(r315499)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:	PyQt
-# Date created:		Sun Oct 17 00:24:28 PDT 1999
-# Whom:			adsharma@sharmas.dhs.org
-#
+# Created by: adsharma@sharmas.dhs.org
 # $FreeBSD$
 
 PORTNAME=	qt
 PORTVERSION=	3.18.2
-PORTREVISION=	2
+PORTREVISION=	3
 PORTEPOCH=	2
 CATEGORIES=	x11-toolkits python
 MASTER_SITES=	http://www.riverbankcomputing.com/static/Downloads/PyQt3/ \
@@ -22,7 +19,6 @@ RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}sip>
 BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}sip>=${SIP_VERSION}:${PORTSDIR}/devel/py-sip \
 		qmake:${PORTSDIR}/devel/qmake
 
-BROKEN=		does not build with latest devel/py-sip
 DEPRECATED=	Depends on QT3; unmaintained
 EXPIRATION_DATE=	2013-07-01
 

Modified: head/x11-toolkits/py-qt/files/patch-configure.py
==============================================================================
--- head/x11-toolkits/py-qt/files/patch-configure.py	Thu Mar 28 20:08:15 2013	(r315498)
+++ head/x11-toolkits/py-qt/files/patch-configure.py	Thu Mar 28 20:11:08 2013	(r315499)
@@ -1,6 +1,41 @@
---- configure.py.orig	Sun May 13 20:08:01 2007
-+++ configure.py	Sun May 13 20:14:01 2007
-@@ -1081,15 +1081,12 @@
+--- configure.py.orig	2013-03-27 00:54:08.000000000 +0000
++++ configure.py
+@@ -258,27 +258,27 @@ class ConfigurePyQt3(ConfigureBase):
+         }
+ 
+     def code(self, extra_include_dirs, extra_lib_dir, extra_libs):
+-        generate_code("qt", extra_include_dirs=extra_include_dirs, extra_lib_dir=extra_lib_dir, extra_libs=extra_libs)
++        generate_code("qt", extra_include_dirs=extra_include_dirs, extra_lib_dir=extra_lib_dir, extra_libs=extra_libs, extra_cxxflags="-DANY=void")
+ 
+         if "qtext" in pyqt_modules:
+-            generate_code("qtext", extra_define=qsci_define, extra_include_dirs=[opt_qsciincdir], extra_lib_dir=opt_qscilibdir, extra_libs=["qscintilla"], sip_flags=qtext_sip_flags)
++            generate_code("qtext", extra_define=qsci_define, extra_include_dirs=[opt_qsciincdir], extra_lib_dir=opt_qscilibdir, extra_libs=["qscintilla"], sip_flags=qtext_sip_flags, extra_cxxflags="-DANY=void")
+ 
+         if "qtgl" in pyqt_modules:
+-            generate_code("qtgl", opengl=1)
++            generate_code("qtgl", opengl=1, extra_cxxflags="-DANY=void")
+ 
+         if "qtpe" in pyqt_modules:
+-            generate_code("qtpe", extra_libs=["qpe"], sip_flags=qtpe_sip_flags)
++            generate_code("qtpe", extra_libs=["qpe"], sip_flags=qtpe_sip_flags, extra_cxxflags="-DANY=void")
+ 
+         if "qtui" in pyqt_modules:
+-            generate_code("qtui", extra_libs=["qui"])
++            generate_code("qtui", extra_libs=["qui"], extra_cxxflags="-DANY=void")
+ 
+         if "qtaxcontainer" in pyqt_modules:
+-            generate_code("qtaxcontainer", extra_libs=["qaxcontainer"])
++            generate_code("qtaxcontainer", extra_libs=["qaxcontainer"], extra_cxxflags="-DANY=void")
+ 
+         # The rest don't need special handling.
+         for m in ("qtcanvas", "qtnetwork", "qtsql", "qttable", "qtxml"):
+             if m in pyqt_modules:
+-                generate_code(m)
++                generate_code(m, extra_cxxflags="-DANY=void")
+ 
+     def tools(self):
+         tool_dirs = []
+@@ -1092,15 +1092,12 @@ def check_qt_installation(macros):
          macros["LIBDIR_QT"] = qt_libdir
  
      # Check the Qt header files have been installed.  Quietly check for Qt v4.
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2013-03-28 20:12:46 UTC
State Changed
From-To: feedback->closed

The patch, merged by you, works! Thank you, John! Just committed.